function n_silicon, l

  ;N_SILICON.PRO: refractive index of silicon as provided by John Rayner.
  ;
  ; Calling: out=n_silicon(
  ;                        l FLTARR(N) wavelength in micron
  ;                       )
  ;
  ; Output: refractive index at input wavelengths
  ;

  ;constants from ZEMAX..not sure at what temperature this is
  K1=3.74176393d-1
  K2=1.01239913d1
  K3=-3.86642237d4
  L1=7.94825449d-2
  L2=9.02271170d-2
  L3=4.22380291d8
  
  ;Sellmeier 1 formula of page 576 "Using Glass Catalogs"

  n=SQRT(K1*l^2/(l^2-L1)+K2*l^2/(l^2-L2)+K3*l^2/(l^2-L3)+1.)

  return, n

end
