function teltool_directory

;TELTOOL_DIRECTORY.PRO: returns the directory in which this file
;  exists, which is the same as all the auxiiliary files that
;  teltool.pro needs (e.g., teltool_lines.dat). The search is done in
;  the IDL library path only.
;  
;Calling: out=teltool_directory()
;
;Output: a string with the directory in which this file exists
;  
; v0.0 A.Boogert 10/03/18: created

   d=file_search(STRSPLIT(!PATH, PATH_SEP(/SEARCH_PATH), /extract)  ,'teltool_directory.pro')
   dir=STRMID(d,0,STRLEN(d)-21)

   IF n_elements(dir) GT 1 THEN BEGIN
      print, 'STOP. MULTIPLE XTELLCOR_MODEL INSTALLATIONS IN PATH. REMOVE ONE.'
      stop
   ENDIF
   
   return, dir
   
  end
